// CodeGear C++Builder
// Copyright (c) 1995, 2009 by Embarcadero Technologies, Inc.
// All rights reserved

// (DO NOT EDIT: machine generated header) 'Fx_filters.pas' rev: 21.00

#ifndef Fx_filtersHPP
#define Fx_filtersHPP

#pragma delphiheader begin
#pragma option push
#pragma option -w-      // All warnings off
#pragma option -Vx      // Zero-length empty class member functions
#pragma pack(push,8)
#include <System.hpp>	// Pascal unit
#include <Sysinit.hpp>	// Pascal unit
#include <Windows.hpp>	// Pascal unit
#include <Fx_adapter_vcl.hpp>	// Pascal unit
#include <Classes.hpp>	// Pascal unit
#include <Sysutils.hpp>	// Pascal unit
#include <Graphics.hpp>	// Pascal unit
#include <Fx_core.hpp>	// Pascal unit
#include <Types.hpp>	// Pascal unit

//-- user supplied -----------------------------------------------------------

namespace Fx_filters
{
//-- type declarations -------------------------------------------------------
class DELPHICLASS TfxBaseFilter;
class PASCALIMPLEMENTATION TfxBaseFilter : public Classes::TComponent
{
	typedef Classes::TComponent inherited;
	
private:
	Fx_core::TfxFilter* FFilter;
	TfxBaseFilter* FInputFilter;
	Graphics::TGraphic* __fastcall GetOutput(void);
	void __fastcall SetInput(Graphics::TGraphic* AValue);
	void __fastcall SetInputFilter(TfxBaseFilter* AValue);
	
protected:
	HIDESBASE void __fastcall Notification(Classes::TComponent* AComponent, Classes::TOperation Operation);
	
public:
	__fastcall virtual TfxBaseFilter(Classes::TComponent* AOwner);
	__fastcall virtual ~TfxBaseFilter(void);
	__property Graphics::TGraphic* Input = {write=SetInput};
	__property Graphics::TGraphic* Output = {read=GetOutput};
	
__published:
	__property TfxBaseFilter* InputFilter = {read=FInputFilter, write=SetInputFilter};
};


class DELPHICLASS TfxRipple;
class PASCALIMPLEMENTATION TfxRipple : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	float __fastcall GetAmplitude(void);
	void __fastcall SetAmplitude(float AValue);
	float __fastcall GetFrequency(void);
	void __fastcall SetFrequency(float AValue);
	float __fastcall GetPhase(void);
	void __fastcall SetPhase(float AValue);
	float __fastcall GetAspectRatio(void);
	void __fastcall SetAspectRatio(float AValue);
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	
__published:
	__property float Amplitude = {read=GetAmplitude, write=SetAmplitude};
	__property float Frequency = {read=GetFrequency, write=SetFrequency};
	__property float Phase = {read=GetPhase, write=SetPhase};
	__property float AspectRatio = {read=GetAspectRatio, write=SetAspectRatio};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxRipple(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxRipple(void) { }
	
};


class DELPHICLASS TfxSwirl;
class PASCALIMPLEMENTATION TfxSwirl : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	float __fastcall GetStrength(void);
	void __fastcall SetStrength(float AValue);
	float __fastcall GetAspectRatio(void);
	void __fastcall SetAspectRatio(float AValue);
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	
__published:
	__property float Strength = {read=GetStrength, write=SetStrength};
	__property float AspectRatio = {read=GetAspectRatio, write=SetAspectRatio};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxSwirl(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxSwirl(void) { }
	
};


class DELPHICLASS TfxMagnify;
class PASCALIMPLEMENTATION TfxMagnify : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	float __fastcall GetRadius(void);
	void __fastcall SetRadius(float AValue);
	float __fastcall GetMagnification(void);
	void __fastcall SetMagnification(float AValue);
	float __fastcall GetAspectRatio(void);
	void __fastcall SetAspectRatio(float AValue);
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	
__published:
	__property float Radius = {read=GetRadius, write=SetRadius};
	__property float Magnification = {read=GetMagnification, write=SetMagnification};
	__property float AspectRatio = {read=GetAspectRatio, write=SetAspectRatio};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxMagnify(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxMagnify(void) { }
	
};


class DELPHICLASS TfxSmoothMagnify;
class PASCALIMPLEMENTATION TfxSmoothMagnify : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	float __fastcall GetInnerRadius(void);
	void __fastcall SetInnerRadius(float AValue);
	float __fastcall GetOuterRadius(void);
	void __fastcall SetOuterRadius(float AValue);
	float __fastcall GetMagnification(void);
	void __fastcall SetMagnification(float AValue);
	float __fastcall GetAspectRatio(void);
	void __fastcall SetAspectRatio(float AValue);
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	
__published:
	__property float InnerRadius = {read=GetInnerRadius, write=SetInnerRadius};
	__property float OuterRadius = {read=GetOuterRadius, write=SetOuterRadius};
	__property float Magnification = {read=GetMagnification, write=SetMagnification};
	__property float AspectRatio = {read=GetAspectRatio, write=SetAspectRatio};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxSmoothMagnify(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxSmoothMagnify(void) { }
	
};


class DELPHICLASS TfxBands;
class PASCALIMPLEMENTATION TfxBands : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetBandDensity(void);
	void __fastcall SetBandDensity(float AValue);
	float __fastcall GetBandIntensity(void);
	void __fastcall SetBandIntensity(float AValue);
	
__published:
	__property float BandDensity = {read=GetBandDensity, write=SetBandDensity};
	__property float BandIntensity = {read=GetBandIntensity, write=SetBandIntensity};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxBands(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxBands(void) { }
	
};


class DELPHICLASS TfxWave;
class PASCALIMPLEMENTATION TfxWave : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetTime(void);
	void __fastcall SetTime(float AValue);
	float __fastcall GetWaveSize(void);
	void __fastcall SetWaveSize(float AValue);
	
__published:
	__property float Time = {read=GetTime, write=SetTime};
	__property float WaveSize = {read=GetWaveSize, write=SetWaveSize};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxWave(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxWave(void) { }
	
};


class DELPHICLASS TfxWrap;
class PASCALIMPLEMENTATION TfxWrap : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetLeftStart(void);
	void __fastcall SetLeftStart(float AValue);
	float __fastcall GetLeftControl1(void);
	void __fastcall SetLeftControl1(float AValue);
	float __fastcall GetLeftControl2(void);
	void __fastcall SetLeftControl2(float AValue);
	float __fastcall GetLeftEnd(void);
	void __fastcall SetLeftEnd(float AValue);
	float __fastcall GetRightStart(void);
	void __fastcall SetRightStart(float AValue);
	float __fastcall GetRightControl1(void);
	void __fastcall SetRightControl1(float AValue);
	float __fastcall GetRightControl2(void);
	void __fastcall SetRightControl2(float AValue);
	float __fastcall GetRightEnd(void);
	void __fastcall SetRightEnd(float AValue);
	
__published:
	__property float LeftStart = {read=GetLeftStart, write=SetLeftStart};
	__property float LeftControl1 = {read=GetLeftControl1, write=SetLeftControl1};
	__property float LeftControl2 = {read=GetLeftControl2, write=SetLeftControl2};
	__property float LeftEnd = {read=GetLeftEnd, write=SetLeftEnd};
	__property float RightStart = {read=GetRightStart, write=SetRightStart};
	__property float RightControl1 = {read=GetRightControl1, write=SetRightControl1};
	__property float RightControl2 = {read=GetRightControl2, write=SetRightControl2};
	__property float RightEnd = {read=GetRightEnd, write=SetRightEnd};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxWrap(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxWrap(void) { }
	
};


class DELPHICLASS TfxBandedSwirl;
class PASCALIMPLEMENTATION TfxBandedSwirl : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	float __fastcall GetBands(void);
	void __fastcall SetBands(float AValue);
	float __fastcall GetStrength(void);
	void __fastcall SetStrength(float AValue);
	float __fastcall GetAspectRatio(void);
	void __fastcall SetAspectRatio(float AValue);
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	
__published:
	__property float Bands = {read=GetBands, write=SetBands};
	__property float Strength = {read=GetStrength, write=SetStrength};
	__property float AspectRatio = {read=GetAspectRatio, write=SetAspectRatio};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxBandedSwirl(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxBandedSwirl(void) { }
	
};


class DELPHICLASS TfxPinch;
class PASCALIMPLEMENTATION TfxPinch : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	float __fastcall GetRadius(void);
	void __fastcall SetRadius(float AValue);
	float __fastcall GetStrength(void);
	void __fastcall SetStrength(float AValue);
	float __fastcall GetAspectRatio(void);
	void __fastcall SetAspectRatio(float AValue);
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	
__published:
	__property float Radius = {read=GetRadius, write=SetRadius};
	__property float Strength = {read=GetStrength, write=SetStrength};
	__property float AspectRatio = {read=GetAspectRatio, write=SetAspectRatio};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxPinch(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxPinch(void) { }
	
};


class DELPHICLASS TfxTiler;
class PASCALIMPLEMENTATION TfxTiler : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetVerticalTileCount(void);
	void __fastcall SetVerticalTileCount(float AValue);
	float __fastcall GetHorizontalTileCount(void);
	void __fastcall SetHorizontalTileCount(float AValue);
	float __fastcall GetHorizontalOffset(void);
	void __fastcall SetHorizontalOffset(float AValue);
	float __fastcall GetVerticalOffset(void);
	void __fastcall SetVerticalOffset(float AValue);
	
__published:
	__property float VerticalTileCount = {read=GetVerticalTileCount, write=SetVerticalTileCount};
	__property float HorizontalTileCount = {read=GetHorizontalTileCount, write=SetHorizontalTileCount};
	__property float HorizontalOffset = {read=GetHorizontalOffset, write=SetHorizontalOffset};
	__property float VerticalOffset = {read=GetVerticalOffset, write=SetVerticalOffset};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxTiler(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxTiler(void) { }
	
};


class DELPHICLASS TfxPixellate;
class PASCALIMPLEMENTATION TfxPixellate : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetBlockCount(void);
	void __fastcall SetBlockCount(float AValue);
	
__published:
	__property float BlockCount = {read=GetBlockCount, write=SetBlockCount};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxPixellate(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxPixellate(void) { }
	
};


class DELPHICLASS TfxEmboss;
class PASCALIMPLEMENTATION TfxEmboss : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetAmount(void);
	void __fastcall SetAmount(float AValue);
	float __fastcall GetWidth(void);
	void __fastcall SetWidth(float AValue);
	
__published:
	__property float Amount = {read=GetAmount, write=SetAmount};
	__property float Width = {read=GetWidth, write=SetWidth};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxEmboss(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxEmboss(void) { }
	
};


class DELPHICLASS TfxSharpen;
class PASCALIMPLEMENTATION TfxSharpen : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetAmount(void);
	void __fastcall SetAmount(float AValue);
	
__published:
	__property float Amount = {read=GetAmount, write=SetAmount};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxSharpen(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxSharpen(void) { }
	
};


class DELPHICLASS TfxToon;
class PASCALIMPLEMENTATION TfxToon : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetLevels(void);
	void __fastcall SetLevels(float AValue);
	
__published:
	__property float Levels = {read=GetLevels, write=SetLevels};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxToon(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxToon(void) { }
	
};


class DELPHICLASS TfxSepia;
class PASCALIMPLEMENTATION TfxSepia : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetAmount(void);
	void __fastcall SetAmount(float AValue);
	
__published:
	__property float Amount = {read=GetAmount, write=SetAmount};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxSepia(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxSepia(void) { }
	
};


class DELPHICLASS TfxPaperSketch;
class PASCALIMPLEMENTATION TfxPaperSketch : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetBrushSize(void);
	void __fastcall SetBrushSize(float AValue);
	
__published:
	__property float BrushSize = {read=GetBrushSize, write=SetBrushSize};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxPaperSketch(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxPaperSketch(void) { }
	
};


class DELPHICLASS TfxPencilStroke;
class PASCALIMPLEMENTATION TfxPencilStroke : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetBrushSize(void);
	void __fastcall SetBrushSize(float AValue);
	
__published:
	__property float BrushSize = {read=GetBrushSize, write=SetBrushSize};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxPencilStroke(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxPencilStroke(void) { }
	
};


class DELPHICLASS TfxFill;
class PASCALIMPLEMENTATION TfxFill : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	unsigned __fastcall GetColor(void);
	void __fastcall SetColor(unsigned AValue);
	
__published:
	__property unsigned Color = {read=GetColor, write=SetColor, nodefault};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxFill(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxFill(void) { }
	
};


class DELPHICLASS TfxFillRGB;
class PASCALIMPLEMENTATION TfxFillRGB : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	unsigned __fastcall GetColor(void);
	void __fastcall SetColor(unsigned AValue);
	
__published:
	__property unsigned Color = {read=GetColor, write=SetColor, nodefault};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxFillRGB(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxFillRGB(void) { }
	
};


class DELPHICLASS TfxNormalBlend;
class PASCALIMPLEMENTATION TfxNormalBlend : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxNormalBlend(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxNormalBlend(void) { }
	
};


class DELPHICLASS TfxHueAdjust;
class PASCALIMPLEMENTATION TfxHueAdjust : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetHue(void);
	void __fastcall SetHue(float AValue);
	
__published:
	__property float Hue = {read=GetHue, write=SetHue};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxHueAdjust(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxHueAdjust(void) { }
	
};


class DELPHICLASS TfxContrast;
class PASCALIMPLEMENTATION TfxContrast : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetBrightness(void);
	void __fastcall SetBrightness(float AValue);
	float __fastcall GetContrast(void);
	void __fastcall SetContrast(float AValue);
	
__published:
	__property float Brightness = {read=GetBrightness, write=SetBrightness};
	__property float Contrast = {read=GetContrast, write=SetContrast};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxContrast(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxContrast(void) { }
	
};


class DELPHICLASS TfxBloom;
class PASCALIMPLEMENTATION TfxBloom : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetBloomIntensity(void);
	void __fastcall SetBloomIntensity(float AValue);
	float __fastcall GetBaseIntensity(void);
	void __fastcall SetBaseIntensity(float AValue);
	float __fastcall GetBloomSaturation(void);
	void __fastcall SetBloomSaturation(float AValue);
	float __fastcall GetBaseSaturation(void);
	void __fastcall SetBaseSaturation(float AValue);
	
__published:
	__property float BloomIntensity = {read=GetBloomIntensity, write=SetBloomIntensity};
	__property float BaseIntensity = {read=GetBaseIntensity, write=SetBaseIntensity};
	__property float BloomSaturation = {read=GetBloomSaturation, write=SetBloomSaturation};
	__property float BaseSaturation = {read=GetBaseSaturation, write=SetBaseSaturation};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxBloom(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxBloom(void) { }
	
};


class DELPHICLASS TfxGloom;
class PASCALIMPLEMENTATION TfxGloom : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetGloomIntensity(void);
	void __fastcall SetGloomIntensity(float AValue);
	float __fastcall GetBaseIntensity(void);
	void __fastcall SetBaseIntensity(float AValue);
	float __fastcall GetGloomSaturation(void);
	void __fastcall SetGloomSaturation(float AValue);
	float __fastcall GetBaseSaturation(void);
	void __fastcall SetBaseSaturation(float AValue);
	
__published:
	__property float GloomIntensity = {read=GetGloomIntensity, write=SetGloomIntensity};
	__property float BaseIntensity = {read=GetBaseIntensity, write=SetBaseIntensity};
	__property float GloomSaturation = {read=GetGloomSaturation, write=SetGloomSaturation};
	__property float BaseSaturation = {read=GetBaseSaturation, write=SetBaseSaturation};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxGloom(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxGloom(void) { }
	
};


class DELPHICLASS TfxInvert;
class PASCALIMPLEMENTATION TfxInvert : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxInvert(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxInvert(void) { }
	
};


class DELPHICLASS TfxMonochrome;
class PASCALIMPLEMENTATION TfxMonochrome : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxMonochrome(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxMonochrome(void) { }
	
};


class DELPHICLASS TfxColorKeyAlpha;
class PASCALIMPLEMENTATION TfxColorKeyAlpha : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetColorKey(void);
	void __fastcall SetColorKey(float AValue);
	float __fastcall GetTolerance(void);
	void __fastcall SetTolerance(float AValue);
	
__published:
	__property float ColorKey = {read=GetColorKey, write=SetColorKey};
	__property float Tolerance = {read=GetTolerance, write=SetTolerance};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxColorKeyAlpha(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxColorKeyAlpha(void) { }
	
};


class DELPHICLASS TfxMaskToAlpha;
class PASCALIMPLEMENTATION TfxMaskToAlpha : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxMaskToAlpha(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxMaskToAlpha(void) { }
	
};


class DELPHICLASS TfxBandedSwirlTransition;
class PASCALIMPLEMENTATION TfxBandedSwirlTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetStrength(void);
	void __fastcall SetStrength(float AValue);
	float __fastcall GetFrequency(void);
	void __fastcall SetFrequency(float AValue);
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float Strength = {read=GetStrength, write=SetStrength};
	__property float Frequency = {read=GetFrequency, write=SetFrequency};
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxBandedSwirlTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxBandedSwirlTransition(void) { }
	
};


class DELPHICLASS TfxBlindTransition;
class PASCALIMPLEMENTATION TfxBlindTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetNumberOfBlinds(void);
	void __fastcall SetNumberOfBlinds(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float NumberOfBlinds = {read=GetNumberOfBlinds, write=SetNumberOfBlinds};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxBlindTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxBlindTransition(void) { }
	
};


class DELPHICLASS TfxBloodTransition;
class PASCALIMPLEMENTATION TfxBloodTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetRandomSeed(void);
	void __fastcall SetRandomSeed(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float RandomSeed = {read=GetRandomSeed, write=SetRandomSeed};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxBloodTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxBloodTransition(void) { }
	
};


class DELPHICLASS TfxCircleTransition;
class PASCALIMPLEMENTATION TfxCircleTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetFuzzyAmount(void);
	void __fastcall SetFuzzyAmount(float AValue);
	float __fastcall GetSize(void);
	void __fastcall SetSize(float AValue);
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float FuzzyAmount = {read=GetFuzzyAmount, write=SetFuzzyAmount};
	__property float Size = {read=GetSize, write=SetSize};
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxCircleTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxCircleTransition(void) { }
	
};


class DELPHICLASS TfxMagnifyTransition;
class PASCALIMPLEMENTATION TfxMagnifyTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxMagnifyTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxMagnifyTransition(void) { }
	
};


class DELPHICLASS TfxCrumbleTransition;
class PASCALIMPLEMENTATION TfxCrumbleTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetRandomSeed(void);
	void __fastcall SetRandomSeed(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float RandomSeed = {read=GetRandomSeed, write=SetRandomSeed};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxCrumbleTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxCrumbleTransition(void) { }
	
};


class DELPHICLASS TfxDisolveTransition;
class PASCALIMPLEMENTATION TfxDisolveTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetRandomSeed(void);
	void __fastcall SetRandomSeed(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float RandomSeed = {read=GetRandomSeed, write=SetRandomSeed};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxDisolveTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxDisolveTransition(void) { }
	
};


class DELPHICLASS TfxDropTransition;
class PASCALIMPLEMENTATION TfxDropTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetRandomSeed(void);
	void __fastcall SetRandomSeed(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float RandomSeed = {read=GetRandomSeed, write=SetRandomSeed};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxDropTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxDropTransition(void) { }
	
};


class DELPHICLASS TfxFadeTransition;
class PASCALIMPLEMENTATION TfxFadeTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxFadeTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxFadeTransition(void) { }
	
};


class DELPHICLASS TfxBrightTransition;
class PASCALIMPLEMENTATION TfxBrightTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxBrightTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxBrightTransition(void) { }
	
};


class DELPHICLASS TfxPixellateTransition;
class PASCALIMPLEMENTATION TfxPixellateTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxPixellateTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxPixellateTransition(void) { }
	
};


class DELPHICLASS TfxBlurTransition;
class PASCALIMPLEMENTATION TfxBlurTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxBlurTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxBlurTransition(void) { }
	
};


class DELPHICLASS TfxWiggleTransition;
class PASCALIMPLEMENTATION TfxWiggleTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxWiggleTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxWiggleTransition(void) { }
	
};


class DELPHICLASS TfxShapeTransition;
class PASCALIMPLEMENTATION TfxShapeTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxShapeTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxShapeTransition(void) { }
	
};


class DELPHICLASS TfxRippleTransition;
class PASCALIMPLEMENTATION TfxRippleTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxRippleTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxRippleTransition(void) { }
	
};


class DELPHICLASS TfxRotateCrumbleTransition;
class PASCALIMPLEMENTATION TfxRotateCrumbleTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetRandomSeed(void);
	void __fastcall SetRandomSeed(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float RandomSeed = {read=GetRandomSeed, write=SetRandomSeed};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxRotateCrumbleTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxRotateCrumbleTransition(void) { }
	
};


class DELPHICLASS TfxSaturateTransition;
class PASCALIMPLEMENTATION TfxSaturateTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxSaturateTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxSaturateTransition(void) { }
	
};


class DELPHICLASS TfxSlideTransition;
class PASCALIMPLEMENTATION TfxSlideTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Types::TPoint __fastcall GetSlideAmount(void);
	void __fastcall SetSlideAmount(const Types::TPoint &AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Types::TPoint SlideAmount = {read=GetSlideAmount, write=SetSlideAmount};
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxSlideTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxSlideTransition(void) { }
	
};


class DELPHICLASS TfxSwirlTransition;
class PASCALIMPLEMENTATION TfxSwirlTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetStrength(void);
	void __fastcall SetStrength(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float Strength = {read=GetStrength, write=SetStrength};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxSwirlTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxSwirlTransition(void) { }
	
};


class DELPHICLASS TfxWaterTransition;
class PASCALIMPLEMENTATION TfxWaterTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	float __fastcall GetRandomSeed(void);
	void __fastcall SetRandomSeed(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	__property float RandomSeed = {read=GetRandomSeed, write=SetRandomSeed};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxWaterTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxWaterTransition(void) { }
	
};


class DELPHICLASS TfxWaveTransition;
class PASCALIMPLEMENTATION TfxWaveTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxWaveTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxWaveTransition(void) { }
	
};


class DELPHICLASS TfxLineTransition;
class PASCALIMPLEMENTATION TfxLineTransition : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetProgress(void);
	void __fastcall SetProgress(float AValue);
	Types::TPoint __fastcall GetOrigin(void);
	void __fastcall SetOrigin(const Types::TPoint &AValue);
	Types::TPoint __fastcall GetNormal(void);
	void __fastcall SetNormal(const Types::TPoint &AValue);
	Types::TPoint __fastcall GetOffset(void);
	void __fastcall SetOffset(const Types::TPoint &AValue);
	float __fastcall GetFuzzyAmount(void);
	void __fastcall SetFuzzyAmount(float AValue);
	Graphics::TGraphic* __fastcall GetTarget(void);
	void __fastcall SetTarget(Graphics::TGraphic* AValue);
	
__published:
	__property float Progress = {read=GetProgress, write=SetProgress};
	
public:
	__property Types::TPoint Origin = {read=GetOrigin, write=SetOrigin};
	__property Types::TPoint Normal = {read=GetNormal, write=SetNormal};
	__property Types::TPoint Offset = {read=GetOffset, write=SetOffset};
	
__published:
	__property float FuzzyAmount = {read=GetFuzzyAmount, write=SetFuzzyAmount};
	
public:
	__property Graphics::TGraphic* Target = {read=GetTarget, write=SetTarget};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxLineTransition(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxLineTransition(void) { }
	
};


class DELPHICLASS TfxAffineTransform;
class PASCALIMPLEMENTATION TfxAffineTransform : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	float __fastcall GetRotation(void);
	void __fastcall SetRotation(float AValue);
	float __fastcall GetScale(void);
	void __fastcall SetScale(float AValue);
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	
__published:
	__property float Rotation = {read=GetRotation, write=SetRotation};
	__property float Scale = {read=GetScale, write=SetScale};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxAffineTransform(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxAffineTransform(void) { }
	
};


class DELPHICLASS TfxPerspectiveTransform;
class PASCALIMPLEMENTATION TfxPerspectiveTransform : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetTopLeft(void);
	void __fastcall SetTopLeft(const Types::TPoint &AValue);
	Types::TPoint __fastcall GetTopRight(void);
	void __fastcall SetTopRight(const Types::TPoint &AValue);
	Types::TPoint __fastcall GetBottomRight(void);
	void __fastcall SetBottomRight(const Types::TPoint &AValue);
	Types::TPoint __fastcall GetBottomLeft(void);
	void __fastcall SetBottomLeft(const Types::TPoint &AValue);
	
public:
	__property Types::TPoint TopLeft = {read=GetTopLeft, write=SetTopLeft};
	__property Types::TPoint TopRight = {read=GetTopRight, write=SetTopRight};
	__property Types::TPoint BottomRight = {read=GetBottomRight, write=SetBottomRight};
	__property Types::TPoint BottomLeft = {read=GetBottomLeft, write=SetBottomLeft};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxPerspectiveTransform(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxPerspectiveTransform(void) { }
	
};


class DELPHICLASS TfxCrop;
class PASCALIMPLEMENTATION TfxCrop : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetLeftTop(void);
	void __fastcall SetLeftTop(const Types::TPoint &AValue);
	Types::TPoint __fastcall GetRightBottom(void);
	void __fastcall SetRightBottom(const Types::TPoint &AValue);
	
public:
	__property Types::TPoint LeftTop = {read=GetLeftTop, write=SetLeftTop};
	__property Types::TPoint RightBottom = {read=GetRightBottom, write=SetRightBottom};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxCrop(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxCrop(void) { }
	
};


class DELPHICLASS TfxGaussianBlur;
class PASCALIMPLEMENTATION TfxGaussianBlur : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetBlurAmount(void);
	void __fastcall SetBlurAmount(float AValue);
	
__published:
	__property float BlurAmount = {read=GetBlurAmount, write=SetBlurAmount};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxGaussianBlur(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxGaussianBlur(void) { }
	
};


class DELPHICLASS TfxBoxBlur;
class PASCALIMPLEMENTATION TfxBoxBlur : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetBlurAmount(void);
	void __fastcall SetBlurAmount(float AValue);
	
__published:
	__property float BlurAmount = {read=GetBlurAmount, write=SetBlurAmount};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxBoxBlur(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxBoxBlur(void) { }
	
};


class DELPHICLASS TfxDirectionalBlur;
class PASCALIMPLEMENTATION TfxDirectionalBlur : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	float __fastcall GetAngle(void);
	void __fastcall SetAngle(float AValue);
	float __fastcall GetBlurAmount(void);
	void __fastcall SetBlurAmount(float AValue);
	
__published:
	__property float Angle = {read=GetAngle, write=SetAngle};
	__property float BlurAmount = {read=GetBlurAmount, write=SetBlurAmount};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxDirectionalBlur(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxDirectionalBlur(void) { }
	
};


class DELPHICLASS TfxRadialBlur;
class PASCALIMPLEMENTATION TfxRadialBlur : public TfxBaseFilter
{
	typedef TfxBaseFilter inherited;
	
private:
	Types::TPoint __fastcall GetCenter(void);
	void __fastcall SetCenter(const Types::TPoint &AValue);
	float __fastcall GetBlurAmount(void);
	void __fastcall SetBlurAmount(float AValue);
	
public:
	__property Types::TPoint Center = {read=GetCenter, write=SetCenter};
	
__published:
	__property float BlurAmount = {read=GetBlurAmount, write=SetBlurAmount};
public:
	/* TfxBaseFilter.Create */ inline __fastcall virtual TfxRadialBlur(Classes::TComponent* AOwner) : TfxBaseFilter(AOwner) { }
	/* TfxBaseFilter.Destroy */ inline __fastcall virtual ~TfxRadialBlur(void) { }
	
};


//-- var, const, procedure ---------------------------------------------------
extern PACKAGE void __fastcall Register(void);

}	/* namespace Fx_filters */
using namespace Fx_filters;
#pragma pack(pop)
#pragma option pop

#pragma delphiheader end.
//-- end unit ----------------------------------------------------------------
#endif	// Fx_filtersHPP
